<template>
  <div>
    <div class="mainPage"><top-menu /></div>
    <module-box @examBtn="examBtn" v-if="type == 'module'" />
    <exam-box v-else @moduleBtn="moduleBtn" />
  </div>
</template>

<script>
import topMenu from "../components/topmenu.vue";
import moduleBox from "../components/module";
import examBox from "../components/exam.vue";
export default {
  components: {
    topMenu,
    moduleBox,
    examBox,
  },
  data() {
    return {
      type: "module",
    };
  },
  methods: {
    examBtn() {
      this.type = "exam";
    },
    moduleBtn() {
      this.type = "module";
    },
  },
};
</script>

<style lang="scss" scoped></style>
